package gov.va.vinci.dart.biz;

public class WorkflowSummary {

	private int workflowId = 0;
//	private int workflowTypeId;
	private int workflowTemplateId;
	private int workflowGroupId = 1;	//default to NDS (legacy data)
	private int status;
	private String requestState;

	
	public WorkflowSummary() {}
	
	public WorkflowSummary( final WorkflowSummary workflowSummaryToCopy ) {

		workflowId = workflowSummaryToCopy.workflowId;
		//workflowTypeId = workflowSummaryToCopy.workflowTypeId;
		workflowTemplateId = workflowSummaryToCopy.workflowTemplateId;
		workflowGroupId = workflowSummaryToCopy.workflowGroupId;
		status = workflowSummaryToCopy.status;
		requestState = workflowSummaryToCopy.requestState;

	}//end copy constructor
	
	
	public int getWorkflowId() {
		return workflowId;
	}

	public void setWorkflowId(int workflowId) {
		this.workflowId = workflowId;
	}

//	public int getWorkflowTypeId() {
//		return workflowTypeId;
//	}
//
//	public void setWorkflowTypeId(int workflowTypeId) {
//		this.workflowTypeId = workflowTypeId;
//	}

	public int getWorkflowTemplateId() {
		return workflowTemplateId;
	}

	public void setWorkflowTemplateId(int workflowTemplateId) {
		this.workflowTemplateId = workflowTemplateId;
	}
	
	public int getWorkflowGroupId() {
		return workflowGroupId;
	}

	public void setWorkflowGroupId(int workflowGroupId) {
		this.workflowGroupId = workflowGroupId;
	}
	
	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getRequestState() {
		return requestState;
	}

	public void setRequestState(String requestState) {
		this.requestState = requestState;
	}

	
	// necessary to use (List<WorkflowSummary>).contains()
	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		
		if ((obj instanceof WorkflowSummary) == false) {
			return false;
		}
		
		WorkflowSummary rs2 = (WorkflowSummary)obj;
		return rs2.workflowId == this.workflowId;	//the workflow ID should be unique within a list of WorkflowSummary objects
	}

}
